
From: Roland McGrath <roland@redhat.com>

GCC 4 emits more DWARF debugging information than before and there is now a
.debug_loc section as well.  This causes "make buildcheck" to fail.  Rather
than just add that one to the special case list, I used a regexp to ignore
any .debug_ANYTHING sections in case more show up in the future.

Signed-off-by: Roland McGrath <roland@redhat.com>
Cc: Sam Ravnborg <sam@ravnborg.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 scripts/reference_discarded.pl |    7 +------
 1 files changed, 1 insertion(+), 6 deletions(-)

diff -puN scripts/reference_discarded.pl~ignore-all-debugging-info-sections-in-scripts-reference_discardedpl scripts/reference_discarded.pl
--- 25/scripts/reference_discarded.pl~ignore-all-debugging-info-sections-in-scripts-reference_discardedpl	Mon Aug 29 15:05:39 2005
+++ 25-akpm/scripts/reference_discarded.pl	Mon Aug 29 15:06:14 2005
@@ -91,12 +91,7 @@ foreach $object (keys(%object)) {
 		     $from !~ /\.exit\.data$/ &&
 		     $from !~ /\.altinstructions$/ &&
 		     $from !~ /\.pdr$/ &&
-		     $from !~ /\.debug_info$/ &&
-		     $from !~ /\.debug_aranges$/ &&
-		     $from !~ /\.debug_ranges$/ &&
-		     $from !~ /\.debug_line$/ &&
-		     $from !~ /\.debug_frame$/ &&
-		     $from !~ /\.debug_loc$/ &&
+		     $from !~ /\.debug_.*$/ &&
 		     $from !~ /\.exitcall\.exit$/ &&
 		     $from !~ /\.eh_frame$/ &&
 		     $from !~ /\.stab$/)) {
_
